View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013254VTK(No Category)public2012-06-20 21:532013-12-27 22:05
ReporterDale Lukas Peterson 
Assigned ToDave DeMarle 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6.0.0 
Target Version6.0.1Fixed in Version6.0.0 
Summary0013254: Error including <QVTKWidget.h>
DescriptionI have a simple test file, RenderWindow.cxx:

#include <QVTKWidget.h>
int main()
{
}

with a CMakeLists.txt file:

cmake_minimum_required(VERSION 2.8)
PROJECT(RenderWindow)
FIND_PACKAGE(VTK)
INCLUDE(${VTK_USE_FILE})
FIND_PACKAGE(Qt4 REQUIRED)
INCLUDE(${QT_USE_FILE})
ADD_EXECUTABLE(RenderWindow RenderWindow.cxx)

luke@LenovoW510 ~/tmp/testvtk/qvtk/build $ make
Scanning dependencies of target RenderWindow
[100%] Building CXX object CMakeFiles/RenderWindow.dir/RenderWindow.cxx.o
In file included from /home/luke/usr/include/vtk-6.0/QVTKWidget.h:40:0,
                 from /home/luke/tmp/testvtk/qvtk/RenderWindow.cxx:13:
/home/luke/usr/include/vtk-6.0/QVTKInteractor.h:45:52: fatal error: vtkTDxConfigure.h: No such file or directory
compilation terminated.
make[2]: *** [CMakeFiles/RenderWindow.dir/RenderWindow.cxx.o] Error 1
make[1]: *** [CMakeFiles/RenderWindow.dir/all] Error 2
make: *** [all] Error 2

This is from the master branch (commit d615e721fb8ab8d88fe064b51d2e3cd45921d9c6), when I build and install, vtkTDxConfigure.h is not installed. I am not sure if this file is supposed to be installed or not.

I see that Rendering/OpenGL/CMakeLists:39 has a configure_file() statement that I think should be installing the file. For some reason it isn't however. Similarly for various other configure files.

I don't know if this is a problem with QVTKWidget.h, or maybe QVTKInteractor.h, or if this is a problem with the build system.


TagsNo tags attached.
ProjectKitware
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0032076)
Dave DeMarle (administrator)
2013-12-27 22:05

Fixed by David Gobbi before 6.0.0.rc1 in:
commit 5b7f0cb41399b8777c1765431f14917d67e1b441
Date: Thu Oct 11 16:20:30 2012 -0600

- Issue History
Date Modified Username Field Change
2012-06-20 21:53 Dale Lukas Peterson New Issue
2013-06-25 16:24 Dave DeMarle Assigned To => Dave DeMarle
2013-06-25 16:24 Dave DeMarle Status backlog => todo
2013-06-25 16:24 Dave DeMarle Product Version => 6.0.0
2013-06-25 16:24 Dave DeMarle Target Version => 6.0.1
2013-07-22 20:04 Dave DeMarle Status todo => backlog
2013-12-27 22:05 Dave DeMarle Note Added: 0032076
2013-12-27 22:05 Dave DeMarle Status backlog => closed
2013-12-27 22:05 Dave DeMarle Resolution open => fixed
2013-12-27 22:05 Dave DeMarle Fixed in Version => 6.0.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker